package cn.iocoder.yudao.module.member.vo.memberUserScore;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
 * @author zhaobiyan
 */
@Data
@ApiModel("管理后台 - 会员积分查询 VO")
public class MemberUserScoreQueryVO {
    @ApiModelProperty(value = "关键词")
    private String key;
    @ApiModelProperty(value = "国家")
    private String country;
    @ApiModelProperty(value = "当前积分")
    private Integer holdScore;
    @ApiModelProperty(value = "当前积分操作")
    private Integer holdScoreOperate;
    @ApiModelProperty(value = "已使用积分")
    private Integer usedScore;
    @ApiModelProperty(value = "已使用积分操作")
    private Integer usedScoreOperate;
    @ApiModelProperty(value = "会员创建时间开始")
    private Date memberCreateTimeStart;
    @ApiModelProperty(value = "会员创建时间结束")
    private Date memberCreateTimeEnd;
}
